DASEL-COMPLETION-BASH(1)

NAME

dasel-completion-bash - Generate the autocompletion script for bash

SYNOPSIS

dasel completion bash

DESCRIPTION

Generate the autocompletion script for the bash shell.

This script depends on the 'bash-completion' package. If it is not installed already, you can install it via your OS's package manager.

To load completions in your current shell session:
    source <(dasel completion bash)

To load completions for every new session, execute once:

  Linux:
    dasel completion bash > /etc/bash_completion.d/dasel

  macOS:
    dasel completion bash > $(brew --prefix)/etc/bash_completion.d/dasel

You will need to start a new shell for this setup to take effect.

OPTIONS

-h, --help[=false]
    help for bash

--no-descriptions[=false]
    disable completion descriptions

SEE ALSO

dasel-completion(1)